Debian Bug report logs - #637404
opu: aptitude: diff for NMU version 0.4.11.11-1~lenny2

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Jonathan Wiltshire <jmw@debian.org>

Date: Wed, 10 Aug 2011 23:45:01 UTC

Severity: normal

Tags: confirmed, lenny

Fixed in version 5.0.9

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, 612034@bugs.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637404; Package release.debian.org. (Wed, 10 Aug 2011 23:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
New Bug report received and forwarded. Copy sent to 612034@bugs.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Wed, 10 Aug 2011 23:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: submit@bugs.debian.org
Subject: opu: aptitude: diff for NMU version 0.4.11.11-1~lenny2
Date: Thu, 11 Aug 2011 00:41:01 +0100
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: opu

RT: please consider the attached patch for aptitude in Lenny, to fix a
security bug.

Maintainer: this is notice of an intent to NMU as attached.

Thanks,

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51
[aptitude-0.4.11.11-1~lenny2-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637404; Package release.debian.org. (Thu, 11 Aug 2011 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 11 Aug 2011 17:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 637404@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Jonathan Wiltshire <jmw@debian.org>, 637404@bugs.debian.org
Subject: Re: Bug#637404: opu: aptitude: diff for NMU version 0.4.11.11-1~lenny2
Date: Thu, 11 Aug 2011 18:42:47 +0100
tags 637404 + lenny confirmed
thanks

On Thu, 2011-08-11 at 00:41 +0100, Jonathan Wiltshire wrote:
> RT: please consider the attached patch for aptitude in Lenny, to fix a
> security bug.
> 
> Maintainer: this is notice of an intent to NMU as attached.

Ack, as per #637405; thanks.

Regards,

Adam





Added tag(s) confirmed and lenny. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Thu, 11 Aug 2011 17:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637404; Package release.debian.org. (Fri, 12 Aug 2011 09:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 12 Aug 2011 09:54:08 GMT) Full text and rfc822 format available.

Message #17 received at 637404@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 637404@bugs.debian.org
Subject: Re: Bug#637404: opu: aptitude: diff for NMU version 0.4.11.11-1~lenny2
Date: Fri, 12 Aug 2011 10:51:08 +0100
[Message part 1 (text/plain, inline)]
On Thu, Aug 11, 2011 at 06:42:47PM +0100, Adam D. Barratt wrote:
> On Thu, 2011-08-11 at 00:41 +0100, Jonathan Wiltshire wrote:
> > RT: please consider the attached patch for aptitude in Lenny, to fix a
> > security bug.
> > 
> > Maintainer: this is notice of an intent to NMU as attached.
> 
> Ack, as per #637405; thanks.

Uploaded. I've kept the same version scheme, even though it's wrong - the
proper fix is probably to call it 0.4.11.11-1~lenny1+lenny2, which is arguably
even worse.

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637404; Package release.debian.org. (Fri, 12 Aug 2011 20:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 12 Aug 2011 20:24:03 GMT) Full text and rfc822 format available.

Message #22 received at 637404@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Jonathan Wiltshire <jmw@debian.org>, 637405@bugs.debian.org
Cc: 637404@bugs.debian.org
Subject: Re: Bug#637405: pu: aptitude: diff for NMU version 0.6.3-3.2+squeeze1
Date: Fri, 12 Aug 2011 21:21:18 +0100
tag 637404 + pending
tag 637405 + pending
thanks

On Fri, 2011-08-12 at 10:52 +0100, Jonathan Wiltshire wrote:
> Uploaded.

And accepted during the last (well, current) dinstall; thanks.

Regards,

Adam





Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 12 Aug 2011 20:24:07 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 5.0.9, send any further explanations to Jonathan Wiltshire <jmw@debian.org> Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Thu, 06 Oct 2011 18:09:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Nov 2011 07:36:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:00:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.